<template>
  <div class="empty">
    <div class="empty__wrapper">
      <img
        v-lazy="
          getAssetImage(`assets/theme/black_modern_1/images/stay_tuned.png`)
        "
        class="max-w-full h-auto border-0 align-middle"
        alt=""
      />
      <h3 class="text-xl font-bold">{{ $t(emptyText) }}</h3>
      <h3 class="text-xl font-bold">{{ $t(hashText) }}</h3>
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent } from "vue";
import commonHelper from "@/utils/commonHelper";

export default defineComponent({
  props: {
    emptyText: {
      type: String,
      default: "no_game_found",
    },
    hashText: {
      type: String,
      default: "#123",
    },
  },
  setup() {
    const { getAssetImage } = commonHelper;
    return {
      getAssetImage,
    };
  },
});
</script>
